Bug 208159 - [exp-run] make print/ghostscript9-agpl-base the default
Summary: [exp-run] make print/ghostscript9-agpl-base the default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-20 16:32 UTC by Tijl Coosemans
Modified: 2016-03-24 15:50 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (doceng)


Attachments
patch (31.92 KB, patch)
2016-03-20 16:32 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (33.59 KB, patch)
2016-03-20 20:19 UTC, Tijl Coosemans
no flags Details | Diff
patch3 (43.20 KB, patch)
2016-03-23 21:01 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2016-03-20 16:32:21 UTC
Created attachment 168426 [details]
patch

Ghostscript upstream changed the license to AGPL 3 in version 9.07 so print/ghostscript9-base is forever stuck at 9.06.  This version is almost 4 years old now and there have been plenty of bug fixes.  The attached patch changes GHOSTSCRIPT_DEFAULT to "agpl".
Comment 1 Antoine Brodin freebsd_committer 2016-03-20 19:48:10 UTC
There must be a problem in Uses/ghostscript.mk :

[00:01:51] ====>> Error: print/ghostscript7-commfont depends on nonexistent origin 'print/ghostscript7-agpl-base'; Please contact maintainer of the port to fix this.
[00:01:51] ====>> Error: print/ghostscript7-jpnfont depends on nonexistent origin 'print/ghostscript7-agpl-base'; Please contact maintainer of the port to fix this.
[00:01:51] ====>> Error: print/ghostscript7-korfont depends on nonexistent origin 'print/ghostscript7-agpl-base'; Please contact maintainer of the port to fix this.
[00:01:51] ====>> Error: print/ghostscript7-x11 depends on nonexistent origin 'print/ghostscript7-agpl-base'; Please contact maintainer of the port to fix this.
[00:01:51] ====>> Error: print/ghostscript8-x11 depends on nonexistent origin 'print/ghostscript8-agpl-base'; Please contact maintainer of the port to fix this.
Comment 2 Tijl Coosemans freebsd_committer 2016-03-20 20:19:11 UTC
Created attachment 168436 [details]
patch2

Fix logic in Uses/ghostscript.mk by treating agpl as a real version instead of as a variant of other versions.
Comment 3 Antoine Brodin freebsd_committer 2016-03-23 08:14:41 UTC
Exp-run results:

http://package23.nyi.freebsd.org/jail.html?mastername=93amd64-default-PR208159
http://package22.nyi.freebsd.org/jail.html?mastername=103i386-default-PR208159

There are 3 new failures:

+ {"origin"=>"math/asymptote", "pkgname"=>"asymptote-2.32_6", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"print/lilypond", "pkgname"=>"lilypond-2.18.2_5", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"print/lilypond-devel", "pkgname"=>"lilypond-devel-2.19.11_5", "phase"=>"build-depends", "errortype"=>"???"}

Failure logs:

http://package22.nyi.freebsd.org/data/103i386-default-PR208159/2016-03-22_06h41m57s/logs/errors/asymptote-2.32_6.log
http://package22.nyi.freebsd.org/data/103i386-default-PR208159/2016-03-22_06h41m57s/logs/errors/lilypond-2.18.2_5.log
http://package22.nyi.freebsd.org/data/103i386-default-PR208159/2016-03-22_06h41m57s/logs/errors/lilypond-devel-2.19.11_5.log
Comment 4 Tijl Coosemans freebsd_committer 2016-03-23 21:01:14 UTC
Created attachment 168548 [details]
patch3

math/asymptote;
This failed because it needed epswrite which doesn't exist in ghostscript>=9.14.
Update the port to version 2.37 which supports eps2write and fix ghostscript9-agpl-base so it installs eps2write.

math/lilypond*:
Remove :9 from USES=ghostscript:9
Comment 5 Antoine Brodin freebsd_committer 2016-03-24 15:07:57 UTC
Exp-run looks good
Comment 6 commit-hook freebsd_committer 2016-03-24 15:48:11 UTC
A commit references this bug:

Author: tijl
Date: Thu Mar 24 15:47:58 UTC 2016
New revision: 411798
URL: https://svnweb.freebsd.org/changeset/ports/411798

Log:
  Make print/ghostscript9-agpl-base the default Ghostscript port.  Upstream
  changed the license to the AGPL 3 in version 9.07 so print/ghostscript9-base
  is stuck at 9.06 which is almost 4 years old now.

  Fix the logic in Uses/ghostscript.mk so "agpl" is treated as a real version
  on its own instead of as a variant of other versions.

  Fix print/ghostscript9-agpl-base to install eps2write.

  Update math/asymptote to 2.37 to support newer Ghostscript.

  PR:		208159
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Uses/ghostscript.mk
  head/Mk/bsd.default-versions.mk
  head/UPDATING
  head/cad/xcircuit/Makefile
  head/chinese/enscript/Makefile
  head/comms/efax-gtk/Makefile
  head/comms/hylafax/Makefile
  head/deskutils/etask/Makefile
  head/deskutils/gworkspace/Makefile
  head/devel/aegis/Makefile
  head/devel/doxygen/Makefile
  head/devel/gdcm/Makefile
  head/devel/libexplain/Makefile
  head/devel/srecord/Makefile
  head/editors/ted/Makefile
  head/editors/texmacs/Makefile
  head/editors/texmaker/Makefile
  head/editors/texstudio/Makefile
  head/graphics/ImageMagick/Makefile
  head/graphics/ImageMagick7/Makefile
  head/graphics/cinepaint/Makefile
  head/graphics/eps2png/Makefile
  head/graphics/epstool/Makefile
  head/graphics/gimp-app/Makefile
  head/graphics/gle-graphics/Makefile
  head/graphics/graphviz/Makefile
  head/graphics/imgtops/Makefile
  head/graphics/impressive/Makefile
  head/graphics/klatexformula/Makefile
  head/graphics/ocaml-images/Makefile
  head/graphics/ocrfeeder/Makefile
  head/graphics/peps/Makefile
  head/graphics/pstoedit/Makefile
  head/graphics/pstoepsi/Makefile
  head/graphics/py-chart/Makefile
  head/graphics/sam2p/Makefile
  head/graphics/xournal/Makefile
  head/graphics/xpaint/Makefile
  head/graphics/xpeps/Makefile
  head/mail/claws-mail-pdf_viewer/Makefile
  head/mail/courier/Makefile
  head/math/R/Makefile
  head/math/asymptote/Makefile
  head/math/asymptote/distinfo
  head/math/asymptote/files/patch-Makefile.in
  head/math/asymptote/files/patch-configure.ac
  head/math/asymptote/files/patch-settings.cc
  head/math/asymptote/pkg-plist
  head/math/plplot/Makefile
  head/misc/pspresent/Makefile
  head/multimedia/lives/Makefile
  head/print/apsfilter/Makefile
  head/print/auctex/Makefile
  head/print/cups-filters/Makefile
  head/print/cups-fxlinuxprint/Makefile
  head/print/cups-pdf/Makefile
  head/print/dvisvg/Makefile
  head/print/enscript-letter/Makefile
  head/print/epsonepl/Makefile
  head/print/flpsed/Makefile
  head/print/font2svg/Makefile
  head/print/foo2zjs/Makefile
  head/print/foomatic-filters/Makefile
  head/print/ggv/Makefile
  head/print/ghostscript9-agpl-base/Makefile
  head/print/ghostscript9-agpl-base/Makefile.drivers
  head/print/ghostscript9-agpl-x11/Makefile
  head/print/ghostscript9-x11/Makefile
  head/print/gspdf/Makefile
  head/print/gsview/Makefile
  head/print/gv/Makefile
  head/print/hpijs/Makefile
  head/print/html2ps/Makefile
  head/print/kpdftool/Makefile
  head/print/libspectre/Makefile
  head/print/lilypond/Makefile
  head/print/lilypond-devel/Makefile
  head/print/lpr-wrapper/Makefile
  head/print/magicfilter/Makefile
  head/print/pnm2ppa/Makefile
  head/print/ps2eps/Makefile
  head/print/psdim/Makefile
  head/print/pstotext/Makefile
  head/print/scribus/Makefile
  head/print/texlive-base/Makefile
  head/print/texvc/Makefile
  head/print/transfig/Makefile
  head/sysutils/LPRngTool/Makefile
  head/textproc/docproj/Makefile
  head/textproc/groff/Makefile
  head/textproc/latex2html/Makefile
  head/textproc/pdftohtml/Makefile
  head/textproc/sowing/Makefile
  head/textproc/tth/Makefile
  head/x11/dgs/Makefile